CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::log::message Class Reference

This class represents a single message that should be written to log. More...

`#include <booster/booster/log.h>`

## Public Member Functions
| message (level_type l, char const *m, char const *name, int line)
| message ()
| message (message &)
| Copy message.
message & | operator= (message &)
| Assign the message.
level_type | level () const
char const * | module () const
char const * | file_name () const
int | file_line () const
std::string | log_message () const
std::ostream & | out ()

## Detailed Description

This class represents a single message that should be written to log.

Note, it is some generalization of data that allows you to format any generic data, it generally used by logging sinks rather then by end users

## Constructor & Destructor Documentation

booster::log::message::message | ( | level_type | l,
|  | char const * | m,
|  | char const * | name,
|  | int | line
| ) |  |

Create message with severity level l, sent from module m in file name in line line

booster::log::message::message | ( |  | ) |

Default constructable

## Member Function Documentation

int booster::log::message::file_line | ( |  | ) | const

Get the number of line in the file

char const* booster::log::message::file_name | ( |  | ) | const

Get the file name

level_type booster::log::message::level | ( |  | ) | const

Get the severity level for the message

std::string booster::log::message::log_message | ( |  | ) | const

Get the actual message that should be written

char const* booster::log::message::module | ( |  | ) | const

Get the module name

std::ostream& booster::log::message::out | ( |  | ) |

Get the output stream that consumes the message

The documentation for this class was generated from the following file:

- booster/log.h